@echo off

SET prefix=C:/pdalbin
SET exec_prefix=C:/pdalbin/bin
SET libdir=C:/pdalbin/lib


IF "%1" == "--libs" echo -LC:/pdalbin/lib -lpdalcpp & goto exit
IF "%1" == "--plugin-dir" echo C:/OSGeo4W64/bin & goto exit
IF "%1" == "--prefix" echo %prefix% & goto exit
IF "%1" == "--ldflags" echo -L%libdir% & goto exit
IF "%1" == "--defines" echo  & goto exit
IF "%1" == "--includes" echo -IC:/pdalbin/include -IC:/OSGeo4W64/include -IC:/OSGeo4W64/include/libxml2 -IC:/OSGeo4W64/include -IC:/OSGeo4W64/include & goto exit
IF "%1" == "--cflags" echo /DWIN32 /D_WINDOWS /W3 & goto exit
IF "%1" == "--cxxflags" echo /DWIN32 /D_WINDOWS /W3 /GR /EHsc -std=c++11 & goto exit
IF "%1" == "--version" echo 1.6.0 & goto exit
IF "%1" == "--python-version" echo 3.6 & goto exit


echo Usage: pdal-config [OPTIONS]
echo Options:
echo    [--cflags]
echo    [--cxxflags]
echo    [--defines]
echo    [--includes]
echo    [--libs]
echo    [--plugin-dir]
echo    [--version]
echo    [--python-version]

:exit
